---
lang: en
title: 'API docs: testlab.expresscontextstub'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.testlab.expresscontextstub.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/testlab](./testlab.md) &gt; [ExpressContextStub](./testlab.expresscontextstub.md)

## ExpressContextStub interface

<b>Signature:</b>

```typescript
export interface ExpressContextStub extends HandlerContextStub 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [app](./testlab.expresscontextstub.app.md) | <code>express.Application</code> |  |
|  [request](./testlab.expresscontextstub.request.md) | <code>express.Request</code> |  |
|  [response](./testlab.expresscontextstub.response.md) | <code>express.Response</code> |  |
|  [result](./testlab.expresscontextstub.result.md) | <code>Promise&lt;ObservedResponse&gt;</code> |  |


